import request from '@/utils/request'

// 查询设备装配记录列表
export function listMark(query) {
  return request({
    url: '/track/deviceMark/list',
    method: 'get',
    params: query
  })
}

// 查询设备装配记录详细
export function getMark(id) {
  return request({
    url: '/track/deviceMark/' + id,
    method: 'get'
  })
}

// 新增设备装配记录
export function addMark(data) {
  return request({
    url: '/track/deviceMark',
    method: 'post',
    data: data
  })
}

// 修改设备装配记录
export function updateMark(data) {
  return request({
    url: '/track/deviceMark',
    method: 'put',
    data: data
  })
}

// 删除设备装配记录
export function delMark(id) {
  return request({
    url: '/track/deviceMark/' + id,
    method: 'delete'
  })
}

// 导出设备装配记录
export function exportMark(query) {
  return request({
    url: '/track/deviceMark/export',
    method: 'get',
    params: query
  })
}

//根据产品获取装配信息
export function selectDeviceMarkInfoByDeviceId(query) {
  return request({
    url: '/track/deviceMark/selectDeviceMarkInfoByDeviceId',
    method: 'get',
    params: query
  })
}
